Blackmagic RAW SDK needs SSE4.1?

Ask software engineering and SDK questions for developers working on Mac OS X, Windows or Linux.
  • Author
  • Message
Offline

Hikaru Inoue

  • Posts: 2
  • Joined: Wed Jul 24, 2019 7:47 am
  • Real Name: Hikaru Inoue

Blackmagic RAW SDK needs SSE4.1?

PostWed Jul 24, 2019 7:57 am

I'm trying to run the Blackmagic RAW SDK without a GPU on a Core 2 Quad CPU.
But an error occurred in IBlackmagicRaw::CreateCodec, E_FAIL is returned. Do I need SSE 4.1 to at least use the Blackmagic RAW SDK?
Offline

Cameron Nichols

Blackmagic Design

  • Posts: 217
  • Joined: Mon Sep 04, 2017 4:05 am

Re: Blackmagic RAW SDK needs SSE4.1?

PostThu Jul 25, 2019 3:07 am

Hi Hikaru,

The Blackmagic RAW SDK requires one of AVX, AVX2 or SSE4.1 instructions sets to operate. The
IBlackmagicRawFactory::CreateCodec method will return HRESULT = E_FAIL if neither of the instruction sets are available.

Regards
Cameron
Offline

Hikaru Inoue

  • Posts: 2
  • Joined: Wed Jul 24, 2019 7:47 am
  • Real Name: Hikaru Inoue

Re: Blackmagic RAW SDK needs SSE4.1?

PostThu Jul 25, 2019 4:49 am

Thank you for the answer.

Return to Software Developers

Who is online

Users browsing this forum: No registered users and 5 guests